import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
declare class TradeDayLineShape {
    points: number[];
    height: number;
}
interface TradeDayLinePathProps extends PathProps {
    shape?: TradeDayLineShape;
}
declare class TradeDayLine extends graphic.Path<TradeDayLinePathProps> {
    type: string;
    constructor(opts?: TradeDayLinePathProps);
    getDefaultShape(): TradeDayLineShape;
    buildPath(ctx: CanvasRenderingContext2D, shape: TradeDayLineShape): void;
}
export default TradeDayLine;
